# DeviceTabBar

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides access to the client device's tab bar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceTabBar
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceTabBar
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceTabBar()

Creates a new instance of [DeviceTabBar](/hybrid/start/api/ui/wisej.hybrid.devicetabbar.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)BackColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the background color for the tab bar.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Items

[TabBarItem\[\]](/hybrid/start/api/ui/wisej.hybrid.shared.tabbar.tabbaritem.md): Gets or sets the tab bar items.

### ![](/files/CCV9PPenlC1YZvNh1I6R)SelectedColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the title color for the tab bar.

### ![](/files/CCV9PPenlC1YZvNh1I6R)UnselectedColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the unselected color for the tab bar items.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Visible

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the tab bar is visible.

## Events

### ![](/files/CCV9PPenlC1YZvNh1I6R)TabSelected

[EventHandler\<TabSelectedEventArgs>](https://docs.microsoft.com/dotnet/api/system.eventhandler-1) Fires when a tab item is selected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicetabbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
